{% extends 'public_access/base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('public_access/login') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('public_access/login') }}
{% endblock %}

{% block main %}
    <div class="container d-flex justify-content-center align-items-center">
        <div class="mt-3 mb-3" style="max-width: 500px">
            <div class="mdc-card px-5 py-4 mb-3">
                <h1><img src="{{ asset('build/images/lean.svg') }}" class="img-fluid" alt="LeAn®"></h1>
            </div>
            <div class="mdc-card">
                {% include 'component/mdc_tab_bar_component.html.twig' with {
                    'id': 'login_tab_bar',
                    'tabs': [
                        {'name': 'Anmeldung', 'id': 'login_tab', 'active': false},
                        {'name': 'Informationen', 'id': 'information_tab', 'active': false},
                    ]
                } only %}
                <div id="login_container">
                    <div class="p-5">
                        {% if error %}
                            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                        {% endif %}
                        <form role="form" action="{{ path('login') }}" method="post" autocomplete="off">
                            {% include 'public_access/form/login_form.html.twig' with {'lastUsername': lastUsername } only %}
                            <div class="row mt-4">
                                <div class="col-4">
                                    <input type="submit" class="mdc-button mdc-button--raised" value="Anmelden">
                                </div>
                                <div class="col-8 text-end">
                                    <a href="{{ path('password_forgotten') }}" class="btn btn-link">Kennwort vergessen</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div id="information_container">
                    <div class="p-3">
                        <p class="text-center mb-4">
                            LeAn<sup>®</sup> ist das Werkzeug
                            {% if operatorAccount != null %}
                                der {{ operatorAccount.getName() }}
                            {% endif %}
                            zur Gestaltung
                            {% if operatorAccount != null and operatorAccount.getAssignedPlace() != null %}
                                von {{ operatorAccount.getAssignedPlace().getPlaceName() }}.
                           {% else %}
                                unserer Kommune.
                            {% endif %}
                            Die Plattform dient der frühzeitigen Vermeidung von Leerstand und der qualifizierten Nachvermietung, um
                            {% if operatorAccount != null and operatorAccount.getAssignedPlace() != null %}
                                {{ operatorAccount.getAssignedPlace().getPlaceName() }}
                            {% else %}
                                unsere Kommune
                            {% endif %}
                            vital und lebenswert zu erhalten.
                            In LeAn<sup>®</sup> werden verfügbare Immobilienangebote mit passenden Nutzungskonzepten zusammengeführt.
                        </p>
                        <p class="text-center mb-3">
                            {% if operatorAccount != null and operatorAccount.getAccountConfiguration() != null and operatorAccount.getAccountConfiguration().isAllowSeekerRegistration() == true %}
                                <a href="{{ path('user_registration_register_without_invitation', {userRegistrationTypeName: 'suchende'}) }}" class="mdc-button mdc-button--raised w-100">LeAn für Flächensuchende</a>
                            {% else %}
                                <a href="{{ path('information_for_seeker') }}" class="mdc-button mdc-button--raised w-100">LeAn® für Suchende</a>
                            {% endif %}
                        </p>
                        <p class="text-center mb-1">
                            {% if operatorAccount != null and operatorAccount.getAccountConfiguration() != null and operatorAccount.getAccountConfiguration().isAllowProviderRegistration() == true %}
                                <a href="{{ path('user_registration_register_without_invitation', {userRegistrationTypeName: 'anbietende'}) }}" class="mdc-button mdc-button--raised w-100">LeAn für Flächenanbietende</a>
                            {% else %}
                                <a href="{{ path('information_for_provider') }}" class="mdc-button mdc-button--raised w-100">LeAn® für Anbietende</a>
                            {% endif %}
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
